### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class ConnectionFactoryEvent

java.lang.Object
com.sas.services.connection.ConnectionFactoryEvent

@SASScope("ALL") @BinaryCompatibilityOnly public class ConnectionFactoryEvent extends Object
A class used to notify factory users of important events such as factory shutdown.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_DESTROYED`
  Event type indicating factory destruction.
  `static final int`
  `TYPE_FATAL_EXCEPTION`
  Event type indicating a fatal error which renders the factory unusable.
  `static final int`
  `TYPE_SHUTDOWN`
  Event type indicating factory shutdown.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ConnectionFactoryEvent(int type)`
  `protected`
  `ConnectionFactoryEvent(int type, Object info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getInfo()`
  Get the event parameter (if any).
  `int`
  `getType()`
  Get the event type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_SHUTDOWN

    public static final int TYPE_SHUTDOWN
    Event type indicating factory shutdown.
    See Also:
      - `getType()`
      - Constant Field Values

  - ### TYPE_DESTROYED

    public static final int TYPE_DESTROYED
    Event type indicating factory destruction.
    See Also:
      - `getType()`
      - Constant Field Values

  - ### TYPE_FATAL_EXCEPTION

    public static final int TYPE_FATAL_EXCEPTION
    Event type indicating a fatal error which renders the factory unusable.
    See Also:
      - `getType()`
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionFactoryEvent

    protected ConnectionFactoryEvent(int type)

  - ### ConnectionFactoryEvent

    protected ConnectionFactoryEvent(int type, Object info)

- ## Method Details

  - ### getType

    public int getType()
    Get the event type.
    Returns:
      the event type
    See Also:
      - `TYPE_SHUTDOWN`
      - `TYPE_DESTROYED`
      - `TYPE_FATAL_EXCEPTION`

  - ### getInfo

    public Object getInfo()
    Get the event parameter (if any). Some event types encapsulate additional information. The following list contains details.

    `TYPE_SHUTDOWN`
      `null`
    `TYPE_DESTROYED`
      `null`
    `TYPE_FATAL_EXCEPTION`
      ``FatalConnectionFactoryException``
    Returns:
      the event parameter or `null`